- checked = local_assigns.fetch(:checked, nil)
- check_box_options = {}
- check_box_options[:checked] = checked unless checked.nil?

.form-check.gl-mb-3
  = f.check_box :mirror_trigger_builds, check_box_options.merge(class: "form-check-input")
  = f.label :mirror_trigger_builds, _("Trigger pipelines for mirror updates"), class: "form-check-label", data: { qa_selector: 'mirror_trigger_builds_label' }
  .form-text.text-muted
    = _('Trigger pipelines when branches or tags are updated in the upstream repository. Depending on the activity of the upstream repository, this may greatly increase the load on your CI runners. Only enable this if you know they can handle the load.')
    %strong= _('CI will run using the credentials assigned above.')
    = link_to _('Learn more.'), help_page_path('user/project/repository/repository_mirroring', anchor: 'trigger-pipelines-for-mirror-updates'), target: '_blank', rel: 'noopener noreferrer'
